local addonName, addon = ...

-- add kill credit objectives as these are not supported by ClassicCodex
addon.CLASSIC_CODEX.correctionsObjectives = {
		[11537] = {
			[2] = {
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						24999, -- [1]
						25001, -- [2]
						25002, -- [3]
						25008, -- [4]
						25068, -- [5]
					},
				},
				["names"] = {
					"Burning Legion Demon", -- [1]
				},
			},
		},
		[9670] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						17681, -- [1]
						17680, -- [2]
					},
				},
				["names"] = {
					"Expedition Researcher Freed", -- [1]
					"Expedition Researcher", -- [2]
				},
			}, -- [1]
		},
		[11538] = {
			[2] = {
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						24999, -- [1]
						25001, -- [2]
						25002, -- [3]
						25008, -- [4]
						25068, -- [5]
					},
				},
				["names"] = {
					"Burning Legion Demon", -- [1]
				},
			},
		},
		[11174] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						4392, -- [1]
						4393, -- [2]
						4394, -- [3]
					},
				},
				["names"] = {
					"Oozes Dissolved", -- [1]
					"Corrosive Swamp Ooze", -- [2]
				},
			}, -- [1]
		},
		[10562] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						21786, -- [1]
						21419, -- [2]
					},
				},
				["names"] = {
					"Infernal Attacker", -- [1]
				},
			}, -- [1]
		},
		[10702] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						21864, -- [1]
						21878, -- [2]
						21879, -- [3]
						22145, -- [4]
						23020, -- [5]
						21978, -- [6]
					},
				},
				["names"] = {
					"Shadowmoon Valley Wildlife", -- [1]
				},
			}, -- [1]
		},
		[9935] = {
			[2] = {
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						17146, -- [1]
						17147, -- [2]
						17148, -- [3]
						18397, -- [4]
						18658, -- [5]
						21276, -- [6]
					},
				},
				["names"] = {
					"Kil'sorrow Agent", -- [1]
				},
			},
		},
		[10873] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						22459, -- [1]
						22355, -- [2]
					},
				},
				["names"] = {
					"Sha'tar Warrior Freed", -- [1]
					"Freed Sha'tar Warrior", -- [2]
				},
			}, -- [1]
		},
		[10545] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19998, -- [1]
						20334, -- [2]
						20723, -- [3]
						20726, -- [4]
						20730, -- [5]
						20731, -- [6]
						20732, -- [7]
						21296, -- [8]
						21975, -- [9]
						19995, -- [10]
					},
				},
				["names"] = {
					"Bladespire Ogres drunken", -- [1]
					"Bladespire Brute", -- [2]
				},
			}, -- [1]
		},
		[10703] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						21864, -- [1]
						21878, -- [2]
						21879, -- [3]
						22145, -- [4]
						23020, -- [5]
						21978, -- [6]
					},
				},
				["names"] = {
					"Shadowmoon Valley Wildlife", -- [1]
				},
			}, -- [1]
		},
		[10184] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						20934, -- [1]
						19881, -- [2]
					},
				},
				["names"] = {
					"Severed Spirit", -- [1]
				},
			}, -- [1]
		},
		[10502] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19948, -- [1]
						19952, -- [2]
						19956, -- [3]
						19957, -- [4]
						19992, -- [5]
						20095, -- [6]
						20116, -- [7]
						21238, -- [8]
						21254, -- [9]
						21294, -- [10]
						21319, -- [11]
						19991, -- [12]
					},
				},
				["names"] = {
					"Bloodmaul Ogres killed", -- [1]
					"Bloodmaul Brute", -- [2]
				},
			}, -- [1]
		},
		[10864] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						16867, -- [1]
						16870, -- [2]
						16878, -- [3]
						19295, -- [4]
						19312, -- [5]
						19410, -- [6]
						19411, -- [7]
						19413, -- [8]
						19414, -- [9]
						19415, -- [10]
						22334, -- [11]
					},
				},
				["names"] = {
					"Shattered Hand Souls Reaped", -- [1]
					"Shattered Hand Orc", -- [2]
				},
			}, -- [1]
		},
		[11169] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						4344, -- [1]
						4345, -- [2]
					},
				},
				["names"] = {
					"Totem Tests Performed", -- [1]
					"Mottled Drywallow Crocolisk", -- [2]
				},
			}, -- [1]
		},
		[10836] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						21717, -- [1]
						21718, -- [2]
						21719, -- [3]
						21720, -- [4]
						22251, -- [5]
						22252, -- [6]
						22274, -- [7]
						22331, -- [8]
						23188, -- [9]
						23209, -- [10]
						23213, -- [11]
						22197, -- [12]
					},
				},
				["names"] = {
					"Dragonmaw Orc", -- [1]
				},
			}, -- [1]
		},
		[10503] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19998, -- [1]
						20334, -- [2]
						20723, -- [3]
						20726, -- [4]
						20730, -- [5]
						20731, -- [6]
						20732, -- [7]
						21296, -- [8]
						21975, -- [9]
						19995, -- [10]
					},
				},
				["names"] = {
					"Bladespire Ogres killed", -- [1]
					"Bladespire Brute", -- [2]
				},
			}, -- [1]
		},
		[11096] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						22143, -- [1]
						22144, -- [2]
						22148, -- [3]
						23022, -- [4]
						23450, -- [5]
					},
				},
				["names"] = {
					"Gordunni Ogre", -- [1]
					"Gordunni Proxy", -- [2]
				},
			}, -- [1]
		},
		[10595] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						21786, -- [1]
						21419, -- [2]
					},
				},
				["names"] = {
					"Infernal Attacker", -- [1]
				},
			}, -- [1]
		},
		[10813] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19440, -- [1]
						22177, -- [2]
					},
				},
				["names"] = {
					"Eye of Grillok Returned", -- [1]
					"Eye of Grillok Quest Credit Bunny", -- [2]
				},
			}, -- [1]
		},
		[10504] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19998, -- [1]
						20334, -- [2]
						20723, -- [3]
						20726, -- [4]
						20730, -- [5]
						20731, -- [6]
						20732, -- [7]
						21296, -- [8]
						21975, -- [9]
						19995, -- [10]
					},
				},
				["names"] = {
					"Bladespire Ogres killed", -- [1]
					"Bladespire Brute", -- [2]
				},
			}, -- [1]
		},
		[10512] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19998, -- [1]
						20334, -- [2]
						20723, -- [3]
						20726, -- [4]
						20730, -- [5]
						20731, -- [6]
						20732, -- [7]
						21296, -- [8]
						21975, -- [9]
						19995, -- [10]
					},
				},
				["names"] = {
					"Bladespire Ogres drunken", -- [1]
					"Bladespire Brute", -- [2]
				},
			}, -- [1]
		},
		[10505] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						19948, -- [1]
						19952, -- [2]
						19956, -- [3]
						19957, -- [4]
						19992, -- [5]
						20095, -- [6]
						20116, -- [7]
						21238, -- [8]
						21254, -- [9]
						21294, -- [10]
						21319, -- [11]
						19991, -- [12]
					},
				},
				["names"] = {
					"Bloodmaul Ogres killed", -- [1]
					"Bloodmaul Brute", -- [2]
				},
			}, -- [1]
		},
		[11086] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						22341, -- [1]
						22342, -- [2]
						22343, -- [3]
						22363, -- [4]
						22393, -- [5]
						23393, -- [6]
					},
				},
				["names"] = {
					"Deathshadow Agent", -- [1]
				},
			}, -- [1]
		},
		[11156] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						23595, -- [1]
						23594, -- [2]
					},
				},
				["names"] = {
					"Direhorn Grimtotems killed", -- [1]
					"Grimtotem Destroyer", -- [2]
				},
			}, -- [1]
		},
		[10482] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						16876, -- [1]
						16925, -- [2]
						17595, -- [3]
						18952, -- [4]
						19701, -- [5]
						21161, -- [6]
					},
				},
				["names"] = {
					"Bonechewer Orc", -- [1]
				},
			}, -- [1]
		},
		[11885] = {
			[4] = {
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						23204, -- [1]
						23162, -- [2]
					},
				},
				["names"] = {
					"Vakkiz the Windrager", -- [1]
				},
			},
		},
		[9936] = {
			[2] = {
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						17146, -- [1]
						17147, -- [2]
						17148, -- [3]
						18397, -- [4]
						18658, -- [5]
						21276, -- [6]
					},
				},
				["names"] = {
					"Kil'sorrow Agent", -- [1]
				},
			},
		},
		[8346] = {
			{
				["type"] = "monster",
				["ids"] = {
					["npc"] = {
						15294, -- [1]
						15274, -- [2]
					},
				},
				["names"] = {
					"Mana Tap creature", -- [1]
					"Mana Wyrm", -- [2]
				},
			}, -- [1]
		},
	}

-- correct order of objectives where ClassicCodex does not have objectives in the same order as in quest log
addon.CLASSIC_CODEX.correctionsObjectiveOrder = {
		[8167] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[24] = {
		},
		[10221] = {
			1, -- [1]
		},
		[8191] = {
			2, -- [1]
			1, -- [2]
		},
		[10269] = {
		},
		[3085] = {
		},
		[4129] = {
		},
		[3093] = {
		},
		[4145] = {
			1, -- [1]
			3, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[3101] = {
		},
		[3105] = {
		},
		[3109] = {
		},
		[10397] = {
			1, -- [1]
			2, -- [2]
		},
		[3117] = {
		},
		[3121] = {
		},
		[10445] = {
			2, -- [1]
			1, -- [2]
		},
		[392] = {
		},
		[10493] = {
			2, -- [1]
			1, -- [2]
		},
		[393] = {
		},
		[10541] = {
		},
		[3161] = {
			1, -- [1]
		},
		[4281] = {
		},
		[10621] = {
		},
		[10637] = {
			1, -- [1]
		},
		[8606] = {
			1, -- [1]
		},
		[8622] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10685] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[6384] = {
		},
		[10733] = {
		},
		[8702] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10765] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[10797] = {
		},
		[10813] = {
		},
		[8782] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10861] = {
			2, -- [1]
			1, -- [2]
		},
		[10877] = {
			1, -- [1]
		},
		[405] = {
		},
		[10909] = {
			1, -- [1]
		},
		[10941] = {
		},
		[8910] = {
			2, -- [1]
			1, -- [2]
		},
		[408] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8958] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[11021] = {
		},
		[8990] = {
			1, -- [1]
			[3] = 2,
		},
		[9006] = {
			2, -- [1]
			1, -- [2]
		},
		[9022] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[411] = {
		},
		[9054] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9070] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1649] = {
		},
		[9102] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9118] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9134] = {
		},
		[6624] = {
		},
		[9166] = {
		},
		[9182] = {
			1, -- [1]
		},
		[9198] = {
			1, -- [1]
		},
		[9214] = {
			3, -- [1]
			1, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[417] = {
			[2] = 1,
		},
		[11293] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[9278] = {
		},
		[9310] = {
		},
		[9326] = {
		},
		[11405] = {
		},
		[3369] = {
		},
		[3373] = {
		},
		[9406] = {
		},
		[1691] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[9438] = {
		},
		[11533] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[1701] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[1703] = {
		},
		[9534] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[6824] = {
			2, -- [1]
			4, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[9582] = {
			1, -- [1]
		},
		[9598] = {
		},
		[430] = {
		},
		[4841] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[3449] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
			4, -- [5]
		},
		[9726] = {
			2, -- [1]
			1, -- [2]
		},
		[3461] = {
		},
		[4881] = {
		},
		[9774] = {
			1, -- [1]
		},
		[11885] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[11933] = {
		},
		[9902] = {
			1, -- [1]
		},
		[3505] = {
			2, -- [1]
			1, -- [2]
		},
		[9934] = {
		},
		[9950] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[440] = {
		},
		[3521] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[441] = {
		},
		[3541] = {
		},
		[10078] = {
			1, -- [1]
			3, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[444] = {
		},
		[445] = {
		},
		[10142] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[446] = {
		},
		[5089] = {
		},
		[10190] = {
			1, -- [1]
		},
		[7642] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[2159] = {
		},
		[449] = {
		},
		[2239] = {
		},
		[5145] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[3601] = {
			2, -- [1]
			1, -- [2]
			4, -- [3]
			3, -- [4]
		},
		[1803] = {
		},
		[8287] = {
		},
		[8303] = {
		},
		[11140] = {
			1, -- [1]
		},
		[3621] = {
		},
		[5201] = {
			2, -- [1]
			1, -- [2]
		},
		[3629] = {
		},
		[5217] = {
		},
		[5225] = {
			[2] = 1,
		},
		[1821] = {
			4, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[456] = {
			2, -- [1]
			1, -- [2]
		},
		[10494] = {
			2, -- [1]
			1, -- [2]
		},
		[457] = {
			2, -- [1]
			1, -- [2]
		},
		[10542] = {
			2, -- [1]
			1, -- [2]
		},
		[4987] = {
		},
		[10574] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[677] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[460] = {
		},
		[8575] = {
		},
		[5321] = {
		},
		[10912] = {
			1, -- [1]
		},
		[8623] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8639] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8655] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[5361] = {
		},
		[8687] = {
			1, -- [1]
		},
		[8703] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[465] = {
		},
		[8735] = {
			4, -- [1]
			1, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[8783] = {
			1, -- [1]
			2, -- [2]
		},
		[7841] = {
			2, -- [1]
			1, -- [2]
			4, -- [3]
			3, -- [4]
		},
		[5441] = {
			1, -- [1]
		},
		[10894] = {
		},
		[7504] = {
		},
		[5465] = {
		},
		[8895] = {
		},
		[8911] = {
			2, -- [1]
			1, -- [2]
		},
		[10974] = {
			[2] = 1,
		},
		[10990] = {
			1, -- [1]
		},
		[8959] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[3781] = {
		},
		[8991] = {
			1, -- [1]
			2, -- [2]
			nil, -- [3]
			3, -- [4]
		},
		[9007] = {
			2, -- [1]
			1, -- [2]
		},
		[9039] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9055] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[5561] = {
			1, -- [1]
		},
		[9087] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11150] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[11166] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9135] = {
		},
		[7648] = {
		},
		[5842] = {
		},
		[9183] = {
			1, -- [1]
		},
		[2942] = {
			[2] = 1,
		},
		[3841] = {
		},
		[3845] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[11294] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[2975] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[9295] = {
		},
		[396] = {
		},
		[7736] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[7066] = {
		},
		[485] = {
		},
		[3881] = {
			2, -- [1]
			1, -- [2]
		},
		[9391] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[3090] = {
		},
		[11486] = {
		},
		[9455] = {
		},
		[3905] = {
		},
		[3909] = {
		},
		[3913] = {
		},
		[3375] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[3921] = {
		},
		[491] = {
		},
		[492] = {
		},
		[493] = {
		},
		[5841] = {
		},
		[31] = {
		},
		[5881] = {
		},
		[9727] = {
			2, -- [1]
			1, -- [2]
		},
		[7944] = {
		},
		[11122] = {
			1, -- [1]
		},
		[9775] = {
		},
		[3823] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[499] = {
		},
		[9823] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9839] = {
			2, -- [1]
			1, -- [2]
		},
		[10155] = {
			1, -- [1]
			2, -- [2]
		},
		[4005] = {
		},
		[8740] = {
			1, -- [1]
			2, -- [2]
		},
		[9903] = {
			1, -- [1]
		},
		[9919] = {
		},
		[9935] = {
			1, -- [1]
		},
		[9191] = {
			1, -- [1]
		},
		[1114] = {
		},
		[9999] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[121] = {
		},
		[10031] = {
			2, -- [1]
			1, -- [2]
		},
		[6522] = {
		},
		[8120] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1120] = {
		},
		[10127] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[510] = {
		},
		[4081] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8168] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[32] = {
		},
		[8184] = {
			2, -- [1]
			1, -- [2]
		},
		[8192] = {
			2, -- [1]
			1, -- [2]
		},
		[514] = {
		},
		[515] = {
			1, -- [1]
			nil, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[516] = {
			2, -- [1]
			1, -- [2]
		},
		[6362] = {
		},
		[6185] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10335] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[8304] = {
			2, -- [1]
			1, -- [2]
		},
		[521] = {
		},
		[522] = {
		},
		[4135] = {
		},
		[524] = {
		},
		[525] = {
		},
		[8416] = {
		},
		[529] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8464] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[531] = {
		},
		[8496] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[4183] = {
		},
		[779] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[8544] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[536] = {
			2, -- [1]
			1, -- [2]
		},
		[10623] = {
		},
		[8592] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[539] = {
			2, -- [1]
			1, -- [2]
		},
		[8624] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[541] = {
			4, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[542] = {
		},
		[10719] = {
		},
		[10735] = {
		},
		[10751] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[1164] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[7522] = {
		},
		[10815] = {
		},
		[550] = {
		},
		[551] = {
		},
		[5081] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[10895] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[10911] = {
			2, -- [1]
			1, -- [2]
		},
		[4450] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8912] = {
			2, -- [1]
			1, -- [2]
		},
		[10991] = {
			1, -- [1]
		},
		[11007] = {
		},
		[9968] = {
			2, -- [1]
			1, -- [2]
		},
		[8992] = {
			1, -- [1]
			[3] = 2,
		},
		[11055] = {
			1, -- [1]
		},
		[2258] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9040] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9056] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9072] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9088] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[6601] = {
		},
		[2282] = {
			[2] = 1,
		},
		[9184] = {
			1, -- [1]
		},
		[9200] = {
			1, -- [1]
		},
		[9232] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[6681] = {
			1, -- [1]
		},
		[4642] = {
			[2] = 1,
		},
		[4382] = {
			2, -- [1]
			1, -- [2]
		},
		[383] = {
		},
		[9328] = {
		},
		[2338] = {
		},
		[9360] = {
		},
		[3065] = {
		},
		[8183] = {
		},
		[10738] = {
		},
		[4121] = {
		},
		[9440] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[4730] = {
		},
		[593] = {
		},
		[11535] = {
			[2] = 1,
		},
		[10301] = {
			[2] = 1,
		},
		[9520] = {
		},
		[9536] = {
			2, -- [1]
			1, -- [2]
		},
		[3097] = {
		},
		[10349] = {
		},
		[3113] = {
		},
		[10413] = {
		},
		[4810] = {
		},
		[9632] = {
		},
		[9648] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[12492] = {
		},
		[8446] = {
		},
		[9696] = {
		},
		[608] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[7668] = {
			1, -- [1]
		},
		[610] = {
		},
		[4882] = {
		},
		[8558] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8574] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[4906] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[9824] = {
			1, -- [1]
			2, -- [2]
		},
		[10669] = {
			1, -- [1]
		},
		[8638] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9872] = {
		},
		[11935] = {
		},
		[2478] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			5, -- [4]
			6, -- [5]
			4, -- [6]
		},
		[6392] = {
		},
		[622] = {
		},
		[7025] = {
			2, -- [1]
			1, -- [2]
		},
		[624] = {
		},
		[7041] = {
			1, -- [1]
		},
		[5002] = {
		},
		[10749] = {
		},
		[8766] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[2] = {
		},
		[407] = {
		},
		[8942] = {
			2, -- [1]
			1, -- [2]
		},
		[632] = {
		},
		[4481] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[409] = {
			1, -- [1]
		},
		[10144] = {
			1, -- [1]
			2, -- [2]
		},
		[5082] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[637] = {
		},
		[10192] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[10208] = {
			2, -- [1]
			1, -- [2]
		},
		[4513] = {
			1, -- [1]
		},
		[641] = {
		},
		[10256] = {
			1, -- [1]
		},
		[9038] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10288] = {
		},
		[645] = {
		},
		[646] = {
		},
		[2586] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[11101] = {
		},
		[10368] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[11117] = {
			1, -- [1]
		},
		[5202] = {
		},
		[2606] = {
		},
		[8385] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[654] = {
			4, -- [1]
			[6] = 1,
			[7] = 2,
			[4] = 3,
		},
		[10464] = {
		},
		[10480] = {
			1, -- [1]
		},
		[10496] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10512] = {
		},
		[9086] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[8497] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[413] = {
		},
		[662] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[10592] = {
		},
		[8561] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[414] = {
		},
		[8593] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1665] = {
		},
		[668] = {
		},
		[10688] = {
			1, -- [1]
		},
		[670] = {
		},
		[1667] = {
			1, -- [1]
		},
		[10736] = {
		},
		[8705] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[674] = {
		},
		[8737] = {
			1, -- [1]
		},
		[10800] = {
			1, -- [1]
		},
		[10816] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[8785] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8801] = {
		},
		[10864] = {
		},
		[10880] = {
		},
		[9246] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[7505] = {
		},
		[10739] = {
		},
		[8897] = {
		},
		[8913] = {
			2, -- [1]
			1, -- [2]
		},
		[8929] = {
		},
		[10992] = {
			1, -- [1]
		},
		[2754] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[5514] = {
		},
		[5522] = {
		},
		[2766] = {
		},
		[5538] = {
		},
		[9041] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9057] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9073] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[697] = {
		},
		[9105] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9121] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[420] = {
		},
		[7649] = {
		},
		[702] = {
		},
		[9185] = {
			1, -- [1]
		},
		[9201] = {
			1, -- [1]
		},
		[3365] = {
		},
		[9233] = {
		},
		[11205] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[708] = {
		},
		[9281] = {
			2, -- [1]
			1, -- [2]
		},
		[9518] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[7729] = {
			2, -- [1]
			1, -- [2]
		},
		[9550] = {
		},
		[11392] = {
		},
		[11408] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[2858] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[5242] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[717] = {
			1, -- [1]
			[3] = 2,
		},
		[7785] = {
		},
		[2874] = {
		},
		[5210] = {
		},
		[5762] = {
		},
		[11536] = {
			[2] = 1,
		},
		[723] = {
		},
		[724] = {
		},
		[725] = {
		},
		[5146] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[9569] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[728] = {
		},
		[5050] = {
		},
		[7929] = {
		},
		[9633] = {
		},
		[4986] = {
		},
		[2930] = {
			[2] = 1,
		},
		[30] = {
			[2] = 1,
		},
		[2938] = {
		},
		[736] = {
			nil, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[2946] = {
		},
		[2950] = {
			2, -- [1]
			1, -- [2]
		},
		[9761] = {
			2, -- [1]
			1, -- [2]
		},
		[439] = {
		},
		[9793] = {
		},
		[2966] = {
		},
		[2970] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[3513] = {
		},
		[2978] = {
		},
		[2982] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[9103] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9905] = {
			1, -- [1]
		},
		[3785] = {
			[3] = 1,
		},
		[9230] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[3002] = {
		},
		[9969] = {
			2, -- [1]
			1, -- [2]
		},
		[9985] = {
		},
		[6026] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[5049] = {
		},
		[3022] = {
		},
		[10334] = {
		},
		[8105] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[3561] = {
		},
		[3569] = {
		},
		[10129] = {
			1, -- [1]
			2, -- [2]
		},
		[10145] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[10702] = {
		},
		[9331] = {
		},
		[8169] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10209] = {
			[2] = 1,
		},
		[8185] = {
			2, -- [1]
			1, -- [2]
		},
		[10241] = {
			2, -- [1]
			1, -- [2]
		},
		[770] = {
		},
		[3082] = {
		},
		[10289] = {
		},
		[10305] = {
			1, -- [1]
		},
		[3094] = {
		},
		[3098] = {
		},
		[3102] = {
		},
		[777] = {
		},
		[10385] = {
			1, -- [1]
		},
		[3114] = {
		},
		[3118] = {
		},
		[64217] = {
			2, -- [1]
			1, -- [2]
		},
		[10449] = {
		},
		[10465] = {
		},
		[10481] = {
			1, -- [1]
		},
		[10497] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[6282] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[8482] = {
		},
		[8498] = {
			1, -- [1]
		},
		[3637] = {
		},
		[10577] = {
		},
		[6322] = {
		},
		[8562] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[793] = {
			1, -- [1]
			[3] = 2,
		},
		[10641] = {
			1, -- [1]
		},
		[795] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[8626] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1805] = {
			1, -- [1]
		},
		[8658] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6386] = {
		},
		[10737] = {
		},
		[8706] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10769] = {
			1, -- [1]
			2, -- [2]
		},
		[10785] = {
		},
		[10801] = {
		},
		[8770] = {
			1, -- [1]
		},
		[8786] = {
			1, -- [1]
		},
		[8802] = {
		},
		[453] = {
		},
		[10881] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[10897] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[10913] = {
			2, -- [1]
			1, -- [2]
		},
		[10929] = {
			[2] = 1,
		},
		[8898] = {
		},
		[10961] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[10977] = {
		},
		[10993] = {
		},
		[4483] = {
			2, -- [1]
			4, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[8978] = {
		},
		[8994] = {
			2, -- [1]
			[3] = 1,
		},
		[10430] = {
		},
		[455] = {
			2, -- [1]
			1, -- [2]
		},
		[822] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[9058] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[824] = {
		},
		[9090] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9106] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[6610] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[11185] = {
		},
		[11201] = {
			[2] = 1,
		},
		[830] = {
		},
		[831] = {
		},
		[9202] = {
			1, -- [1]
		},
		[5233] = {
			[2] = 1,
		},
		[9234] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[9250] = {
		},
		[9266] = {
			2, -- [1]
			1, -- [2]
		},
		[9075] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[8559] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[461] = {
		},
		[11377] = {
			[2] = 1,
		},
		[3362] = {
			2, -- [1]
			1, -- [2]
		},
		[11409] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[3370] = {
		},
		[3374] = {
			1, -- [1]
		},
		[10734] = {
		},
		[9426] = {
			2, -- [1]
			1, -- [2]
		},
		[4723] = {
		},
		[4731] = {
		},
		[10750] = {
		},
		[11537] = {
			1, -- [1]
		},
		[5385] = {
		},
		[9522] = {
			2, -- [1]
			1, -- [2]
		},
		[853] = {
		},
		[9554] = {
		},
		[9112] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10830] = {
			1, -- [1]
		},
		[9602] = {
		},
		[9618] = {
		},
		[8691] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[469] = {
		},
		[10942] = {
		},
		[3446] = {
		},
		[54] = {
		},
		[864] = {
		},
		[4867] = {
			1, -- [1]
		},
		[9746] = {
			2, -- [1]
			1, -- [2]
		},
		[4883] = {
		},
		[868] = {
			1, -- [1]
		},
		[9794] = {
		},
		[9810] = {
			2, -- [1]
			1, -- [2]
		},
		[871] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[872] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8627] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[11086] = {
		},
		[11118] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9906] = {
			2, -- [1]
			1, -- [2]
		},
		[4963] = {
			[2] = 1,
		},
		[3510] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[879] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[3518] = {
		},
		[3522] = {
		},
		[3526] = {
		},
		[883] = {
		},
		[884] = {
		},
		[885] = {
		},
		[3542] = {
		},
		[7632] = {
		},
		[5051] = {
			[3] = 1,
		},
		[478] = {
		},
		[890] = {
		},
		[3562] = {
		},
		[892] = {
		},
		[893] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[894] = {
		},
		[8946] = {
		},
		[10226] = {
			[2] = 1,
		},
		[5123] = {
		},
		[481] = {
		},
		[8227] = {
		},
		[900] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[3602] = {
			1, -- [1]
		},
		[5163] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9247] = {
		},
		[4186] = {
		},
		[905] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[906] = {
		},
		[333] = {
		},
		[8371] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[909] = {
		},
		[3638] = {
			[2] = 1,
		},
		[5235] = {
			[2] = 1,
		},
		[10482] = {
		},
		[10498] = {
			2, -- [1]
			1, -- [2]
		},
		[9535] = {
		},
		[10404] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9631] = {
		},
		[10562] = {
		},
		[4294] = {
			[2] = 1,
		},
		[10594] = {
		},
		[4983] = {
		},
		[10626] = {
			2, -- [1]
			1, -- [2]
		},
		[922] = {
		},
		[9711] = {
		},
		[924] = {
			1, -- [1]
		},
		[9826] = {
		},
		[8659] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[927] = {
		},
		[928] = {
		},
		[8707] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[930] = {
		},
		[931] = {
		},
		[10802] = {
			1, -- [1]
		},
		[8771] = {
			1, -- [1]
		},
		[8787] = {
			2, -- [1]
			1, -- [2]
		},
		[935] = {
		},
		[7490] = {
		},
		[7498] = {
		},
		[7506] = {
		},
		[940] = {
		},
		[10946] = {
		},
		[8915] = {
			2, -- [1]
			1, -- [2]
		},
		[59] = {
		},
		[944] = {
		},
		[9904] = {
			1, -- [1]
		},
		[3782] = {
		},
		[947] = {
			2, -- [1]
			1, -- [2]
		},
		[9011] = {
			2, -- [1]
			1, -- [2]
		},
		[11074] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[9043] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[7602] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[952] = {
		},
		[11138] = {
		},
		[9107] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9871] = {
		},
		[956] = {
		},
		[7650] = {
		},
		[6323] = {
		},
		[9187] = {
			1, -- [1]
		},
		[9203] = {
			1, -- [1]
		},
		[502] = {
		},
		[9235] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[7810] = {
		},
		[1118] = {
		},
		[2019] = {
		},
		[9299] = {
		},
		[967] = {
		},
		[968] = {
		},
		[138] = {
		},
		[9330] = {
		},
		[11195] = {
		},
		[508] = {
		},
		[5067] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[7786] = {
			1, -- [1]
			3, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[61] = {
		},
		[511] = {
		},
		[9475] = {
			1, -- [1]
		},
		[9491] = {
			[2] = 1,
		},
		[3914] = {
		},
		[6129] = {
			1, -- [1]
		},
		[513] = {
		},
		[4146] = {
			1, -- [1]
		},
		[9571] = {
		},
		[9587] = {
		},
		[9603] = {
		},
		[2078] = {
			1, -- [1]
		},
		[5843] = {
		},
		[5083] = {
		},
		[9667] = {
			1, -- [1]
		},
		[6241] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9699] = {
		},
		[527] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[7938] = {
		},
		[9747] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[6281] = {
		},
		[262] = {
		},
		[997] = {
		},
		[9811] = {
		},
		[9827] = {
		},
		[6321] = {
		},
		[8560] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9875] = {
		},
		[6361] = {
		},
		[8640] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9923] = {
			1, -- [1]
		},
		[9939] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[9955] = {
			1, -- [1]
		},
		[8656] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6385] = {
		},
		[6027] = {
			[2] = 1,
		},
		[544] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[8704] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10703] = {
		},
		[2198] = {
		},
		[3565] = {
		},
		[4062] = {
		},
		[10115] = {
			2, -- [1]
			1, -- [2]
		},
		[264] = {
		},
		[12194] = {
		},
		[1020] = {
		},
		[4082] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8170] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1023] = {
			1, -- [1]
		},
		[8186] = {
			2, -- [1]
			1, -- [2]
		},
		[1026] = {
			1, -- [1]
		},
		[12306] = {
			[2] = 1,
		},
		[10275] = {
		},
		[554] = {
		},
		[10307] = {
			1, -- [1]
		},
		[10943] = {
		},
		[1038] = {
			1, -- [1]
		},
		[8308] = {
		},
		[560] = {
		},
		[4482] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[563] = {
		},
		[1048] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8388] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[1052] = {
		},
		[10467] = {
		},
		[9008] = {
			2, -- [1]
			1, -- [2]
		},
		[10499] = {
			2, -- [1]
			1, -- [2]
		},
		[1060] = {
		},
		[10531] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9024] = {
			2, -- [1]
			1, -- [2]
		},
		[9104] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10579] = {
		},
		[10595] = {
		},
		[10611] = {
			2, -- [1]
			1, -- [2]
		},
		[4292] = {
			1, -- [1]
		},
		[10643] = {
			1, -- [1]
		},
		[9120] = {
		},
		[6363] = {
		},
		[1358] = {
		},
		[8660] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6387] = {
		},
		[8692] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10755] = {
		},
		[1092] = {
		},
		[1094] = {
		},
		[36] = {
		},
		[10819] = {
		},
		[1100] = {
		},
		[8804] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[578] = {
		},
		[1106] = {
		},
		[8411] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[2318] = {
		},
		[1112] = {
		},
		[8900] = {
		},
		[8916] = {
			2, -- [1]
			1, -- [2]
		},
		[8932] = {
			2, -- [1]
			1, -- [2]
		},
		[8948] = {
		},
		[4484] = {
			4, -- [1]
			2, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[4492] = {
		},
		[8996] = {
		},
		[4508] = {
		},
		[5155] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[9044] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[71] = {
		},
		[1136] = {
			1, -- [1]
		},
		[9092] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9108] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[8917] = {
			2, -- [1]
			1, -- [2]
		},
		[11407] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[9156] = {
			2, -- [1]
			1, -- [2]
		},
		[9172] = {
		},
		[9188] = {
			1, -- [1]
		},
		[9204] = {
			1, -- [1]
		},
		[9220] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9236] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[9252] = {
			2, -- [1]
			1, -- [2]
		},
		[9268] = {
			2, -- [1]
			1, -- [2]
		},
		[9074] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9300] = {
		},
		[4510] = {
		},
		[9332] = {
		},
		[2339] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
			4, -- [5]
		},
		[9364] = {
			1, -- [1]
		},
		[4521] = {
			2, -- [1]
			1, -- [2]
		},
		[11487] = {
		},
		[9472] = {
			1, -- [1]
		},
		[2359] = {
			1, -- [1]
			2, -- [2]
		},
		[1182] = {
			[2] = 1,
		},
		[4732] = {
		},
		[594] = {
		},
		[1188] = {
		},
		[10242] = {
		},
		[2383] = {
		},
		[1194] = {
		},
		[1196] = {
		},
		[9109] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9588] = {
		},
		[9604] = {
		},
		[5283] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[3181] = {
		},
		[9616] = {
		},
		[11020] = {
			1, -- [1]
		},
		[607] = {
		},
		[620] = {
		},
		[10152] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9936] = {
			1, -- [1]
		},
		[2439] = {
		},
		[9764] = {
		},
		[9780] = {
			1, -- [1]
		},
		[623] = {
		},
		[9812] = {
		},
		[9828] = {
		},
		[9984] = {
		},
		[1121] = {
		},
		[1238] = {
		},
		[2479] = {
		},
		[9924] = {
			1, -- [1]
		},
		[9940] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[78] = {
		},
		[10096] = {
			2, -- [1]
			1, -- [2]
		},
		[9071] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10004] = {
		},
		[2941] = {
		},
		[7067] = {
			[2] = 1,
		},
		[635] = {
		},
		[161] = {
		},
		[1262] = {
		},
		[8241] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[647] = {
		},
		[5068] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[10148] = {
		},
		[5226] = {
		},
		[5234] = {
		},
		[1276] = {
		},
		[80] = {
		},
		[5531] = {
		},
		[10244] = {
		},
		[11186] = {
		},
		[666] = {
			[2] = 1,
		},
		[1288] = {
		},
		[8625] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[669] = {
		},
		[81] = {
		},
		[8309] = {
			nil, -- [1]
			2, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[8657] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8689] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[2603] = {
			2, -- [1]
			1, -- [2]
		},
		[5220] = {
		},
		[10832] = {
			1, -- [1]
		},
		[10468] = {
		},
		[5252] = {
		},
		[7521] = {
			1, -- [1]
			3, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[8485] = {
		},
		[8501] = {
			1, -- [1]
		},
		[8977] = {
		},
		[11040] = {
		},
		[9009] = {
			2, -- [1]
			1, -- [2]
		},
		[11072] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[11120] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10644] = {
		},
		[9089] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[8629] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1338] = {
		},
		[10708] = {
		},
		[84] = {
		},
		[10740] = {
		},
		[10756] = {
		},
		[10772] = {
		},
		[8741] = {
		},
		[8690] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10820] = {
			2, -- [1]
			1, -- [2]
		},
		[10836] = {
		},
		[8805] = {
			1, -- [1]
		},
		[7483] = {
			4, -- [1]
			3, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[292] = {
		},
		[7499] = {
		},
		[7507] = {
		},
		[1368] = {
		},
		[8901] = {
		},
		[10964] = {
		},
		[10980] = {
			1, -- [1]
		},
		[2751] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[2850] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[2759] = {
		},
		[9361] = {
			1, -- [1]
		},
		[9013] = {
			2, -- [1]
			1, -- [2]
		},
		[2771] = {
			2, -- [1]
			1, -- [2]
		},
		[1388] = {
		},
		[9061] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9077] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9093] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[7627] = {
			2, -- [1]
			1, -- [2]
		},
		[7761] = {
		},
		[7643] = {
			[2] = 1,
		},
		[7651] = {
		},
		[9173] = {
			2, -- [1]
			1, -- [2]
		},
		[9189] = {
		},
		[9205] = {
			1, -- [1]
		},
		[9409] = {
		},
		[9237] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[3089] = {
		},
		[2882] = {
			[2] = 1,
		},
		[9521] = {
		},
		[1420] = {
		},
		[89] = {
			2, -- [1]
			1, -- [2]
		},
		[2851] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[11412] = {
			1, -- [1]
		},
		[2859] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[5724] = {
		},
		[727] = {
		},
		[7787] = {
		},
		[8350] = {
		},
		[2879] = {
			[5] = 1,
		},
		[10674] = {
			1, -- [1]
		},
		[11540] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9509] = {
		},
		[7905] = {
		},
		[735] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[2903] = {
		},
		[9573] = {
			2, -- [1]
			1, -- [2]
		},
		[1456] = {
			1, -- [1]
		},
		[9605] = {
		},
		[9621] = {
		},
		[5844] = {
		},
		[7907] = {
		},
		[1468] = {
		},
		[92] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[2943] = {
		},
		[2947] = {
		},
		[7937] = {
		},
		[7945] = {
		},
		[1480] = {
		},
		[739] = {
			2, -- [1]
			1, -- [2]
		},
		[9813] = {
		},
		[2501] = {
			1, -- [1]
		},
		[9845] = {
			1, -- [1]
		},
		[9861] = {
		},
		[1492] = {
		},
		[741] = {
		},
		[11972] = {
		},
		[2990] = {
		},
		[94] = {
		},
		[751] = {
		},
		[6143] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[6028] = {
		},
		[400] = {
		},
		[1512] = {
		},
		[3201] = {
		},
		[11065] = {
			1, -- [1]
		},
		[1518] = {
		},
		[763] = {
		},
		[10193] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[1524] = {
		},
		[1526] = {
			[2] = 1,
		},
		[10225] = {
		},
		[6146] = {
			1, -- [1]
		},
		[8171] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[96] = {
		},
		[8187] = {
			2, -- [1]
			1, -- [2]
		},
		[10245] = {
		},
		[3086] = {
		},
		[3083] = {
		},
		[3087] = {
		},
		[3091] = {
		},
		[8278] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[10341] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[3103] = {
		},
		[3107] = {
		},
		[8342] = {
			2, -- [1]
			1, -- [2]
		},
		[4181] = {
		},
		[3119] = {
		},
		[10369] = {
			1, -- [1]
		},
		[8338] = {
		},
		[10469] = {
		},
		[781] = {
		},
		[8470] = {
		},
		[8486] = {
			2, -- [1]
			1, -- [2]
		},
		[8502] = {
			1, -- [1]
		},
		[10545] = {
		},
		[8534] = {
			1, -- [1]
		},
		[6324] = {
		},
		[4267] = {
		},
		[4293] = {
			[2] = 1,
		},
		[8598] = {
		},
		[10625] = {
			1, -- [1]
		},
		[6364] = {
		},
		[8594] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8662] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10725] = {
		},
		[8694] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10757] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10773] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[10657] = {
			1, -- [1]
			[3] = 2,
		},
		[10805] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[10821] = {
			1, -- [1]
		},
		[8790] = {
			2, -- [1]
			1, -- [2]
		},
		[10853] = {
			1, -- [1]
		},
		[3182] = {
		},
		[4421] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[10721] = {
			1, -- [1]
		},
		[8738] = {
			1, -- [1]
		},
		[10817] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[8902] = {
		},
		[8918] = {
			2, -- [1]
			1, -- [2]
		},
		[8934] = {
			2, -- [1]
			1, -- [2]
		},
		[8950] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[11013] = {
		},
		[11029] = {
			[2] = 1,
		},
		[10849] = {
		},
		[4509] = {
		},
		[1642] = {
		},
		[9046] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1646] = {
		},
		[9078] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[4451] = {
		},
		[9110] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1654] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			[5] = 4,
		},
		[1656] = {
		},
		[4581] = {
		},
		[8914] = {
			2, -- [1]
			1, -- [2]
		},
		[9190] = {
			1, -- [1]
		},
		[9206] = {
			1, -- [1]
		},
		[8930] = {
		},
		[4621] = {
			2, -- [1]
			1, -- [2]
		},
		[819] = {
		},
		[11089] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[826] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9302] = {
		},
		[11169] = {
		},
		[829] = {
		},
		[9170] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[11413] = {
		},
		[9186] = {
			1, -- [1]
		},
		[9398] = {
			2, -- [1]
			1, -- [2]
		},
		[1690] = {
			2, -- [1]
			1, -- [2]
		},
		[1692] = {
		},
		[106] = {
		},
		[4733] = {
		},
		[832] = {
		},
		[1700] = {
		},
		[1702] = {
		},
		[1704] = {
		},
		[11133] = {
			1, -- [1]
		},
		[3301] = {
		},
		[107] = {
		},
		[6844] = {
		},
		[9606] = {
		},
		[840] = {
		},
		[3366] = {
		},
		[4763] = {
			[5] = 1,
		},
		[9670] = {
		},
		[9538] = {
		},
		[11052] = {
		},
		[10098] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[9698] = {
		},
		[6922] = {
		},
		[6962] = {
			2, -- [1]
			1, -- [2]
		},
		[2855] = {
			2, -- [1]
			1, -- [2]
		},
		[9798] = {
		},
		[10130] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[12193] = {
		},
		[10162] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[897] = {
		},
		[9878] = {
			2, -- [1]
			1, -- [2]
		},
		[10306] = {
			1, -- [1]
		},
		[9910] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[3507] = {
		},
		[3511] = {
		},
		[902] = {
		},
		[9974] = {
			2, -- [1]
			1, -- [2]
		},
		[7044] = {
			2, -- [1]
			1, -- [2]
		},
		[3630] = {
		},
		[3634] = {
		},
		[57] = {
			2, -- [1]
			1, -- [2]
		},
		[10054] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[10466] = {
		},
		[10086] = {
			2, -- [1]
			1, -- [2]
		},
		[8547] = {
		},
		[10118] = {
			2, -- [1]
			1, -- [2]
		},
		[10134] = {
		},
		[3563] = {
		},
		[5085] = {
		},
		[10182] = {
			1, -- [1]
		},
		[10198] = {
		},
		[10174] = {
		},
		[2205] = {
		},
		[10246] = {
			2, -- [1]
			1, -- [2]
		},
		[10722] = {
		},
		[10278] = {
			[2] = 1,
		},
		[5149] = {
			1, -- [1]
		},
		[1802] = {
		},
		[1804] = {
			1, -- [1]
		},
		[113] = {
		},
		[8311] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[10754] = {
		},
		[8739] = {
			1, -- [1]
		},
		[3627] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[10422] = {
			1, -- [1]
		},
		[3635] = {
		},
		[3639] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[10470] = {
		},
		[5245] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
			4, -- [5]
		},
		[10502] = {
		},
		[8471] = {
		},
		[939] = {
			[2] = 1,
		},
		[10550] = {
		},
		[10566] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[10582] = {
			2, -- [1]
			1, -- [2]
		},
		[5301] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[941] = {
		},
		[942] = {
		},
		[8599] = {
		},
		[10662] = {
		},
		[8631] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8931] = {
			2, -- [1]
			1, -- [2]
		},
		[10710] = {
		},
		[116] = {
			1, -- [1]
			4, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[8695] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8711] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10774] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[8979] = {
			2, -- [1]
			1, -- [2]
		},
		[3786] = {
			[3] = 1,
		},
		[8775] = {
			1, -- [1]
		},
		[8791] = {
		},
		[8807] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[7484] = {
			4, -- [1]
			3, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[950] = {
		},
		[10902] = {
			4, -- [1]
			2, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[7508] = {
		},
		[8887] = {
		},
		[8903] = {
			[2] = 1,
		},
		[8919] = {
			2, -- [1]
			1, -- [2]
		},
		[8935] = {
			2, -- [1]
			1, -- [2]
		},
		[8951] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[9059] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[7564] = {
		},
		[8999] = {
			2, -- [1]
			1, -- [2]
		},
		[3791] = {
			[2] = 1,
		},
		[1898] = {
		},
		[11094] = {
		},
		[119] = {
		},
		[9079] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9095] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9111] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11174] = {
		},
		[7644] = {
		},
		[9159] = {
			2, -- [1]
			1, -- [2]
		},
		[9175] = {
		},
		[1918] = {
		},
		[1920] = {
			1, -- [1]
		},
		[3843] = {
		},
		[9239] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[9255] = {
		},
		[11318] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[9091] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[3633] = {
		},
		[7732] = {
		},
		[3641] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[7738] = {
		},
		[10606] = {
			2, -- [1]
			1, -- [2]
		},
		[8242] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[5763] = {
		},
		[11538] = {
			1, -- [1]
		},
		[1948] = {
			1, -- [1]
			2, -- [2]
		},
		[9447] = {
			1, -- [1]
		},
		[9731] = {
		},
		[11542] = {
			4, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[7828] = {
			2, -- [1]
			1, -- [2]
		},
		[1960] = {
			1, -- [1]
		},
		[3923] = {
		},
		[5805] = {
		},
		[123] = {
		},
		[63] = {
			[2] = 1,
		},
		[6388] = {
		},
		[9623] = {
		},
		[9707] = {
		},
		[6142] = {
			[2] = 1,
		},
		[1978] = {
		},
		[1016] = {
			1, -- [1]
		},
		[10163] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[6131] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[1024] = {
		},
		[5901] = {
			[2] = 1,
		},
		[10243] = {
		},
		[1028] = {
		},
		[1030] = {
		},
		[6391] = {
		},
		[5941] = {
		},
		[7928] = {
		},
		[4127] = {
		},
		[1058] = {
			1, -- [1]
			4, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[8484] = {
		},
		[9911] = {
		},
		[8548] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[4284] = {
			4, -- [1]
			3, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10627] = {
			2, -- [1]
			1, -- [2]
		},
		[8596] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6571] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[6029] = {
		},
		[1080] = {
			1, -- [1]
		},
		[68] = {
		},
		[10055] = {
			2, -- [1]
			1, -- [2]
		},
		[8708] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10087] = {
			1, -- [1]
			2, -- [2]
		},
		[6607] = {
			1, -- [1]
			3, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[10135] = {
		},
		[8772] = {
			1, -- [1]
		},
		[10835] = {
		},
		[4083] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[8] = {
		},
		[6133] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[12278] = {
		},
		[2203] = {
			1, -- [1]
		},
		[129] = {
		},
		[6181] = {
		},
		[4142] = {
		},
		[1122] = {
		},
		[8312] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[1124] = {
		},
		[9060] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[4182] = {
			2, -- [1]
			4, -- [2]
			3, -- [3]
			1, -- [4]
		},
		[2279] = {
		},
		[1146] = {
		},
		[1148] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[10471] = {
		},
		[10503] = {
		},
		[6285] = {
		},
		[1168] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[2118] = {
			1, -- [1]
		},
		[11401] = {
		},
		[8536] = {
			1, -- [1]
		},
		[8552] = {
		},
		[74] = {
		},
		[6341] = {
		},
		[11539] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[10663] = {
		},
		[2160] = {
		},
		[4542] = {
		},
		[8664] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[136] = {
		},
		[8696] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8712] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8728] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[8784] = {
		},
		[10807] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[8776] = {
			1, -- [1]
		},
		[2200] = {
		},
		[8808] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9325] = {
		},
		[6862] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[8856] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[139] = {
		},
		[10935] = {
			1, -- [1]
		},
		[8904] = {
			[2] = 1,
		},
		[8920] = {
			2, -- [1]
			1, -- [2]
		},
		[140] = {
		},
		[8952] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[5253] = {
		},
		[1220] = {
		},
		[141] = {
		},
		[9016] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[2459] = {
			1, -- [1]
			[3] = 2,
		},
		[11095] = {
		},
		[9064] = {
		},
		[9080] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9096] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[2280] = {
		},
		[143] = {
		},
		[1240] = {
		},
		[1242] = {
		},
		[9176] = {
			2, -- [1]
			1, -- [2]
		},
		[144] = {
		},
		[1252] = {
		},
		[6661] = {
			1, -- [1]
		},
		[9240] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[145] = {
		},
		[565] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[79] = {
		},
		[9304] = {
		},
		[146] = {
		},
		[9047] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[2340] = {
		},
		[9368] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[11431] = {
			1, -- [1]
		},
		[7500] = {
		},
		[6622] = {
		},
		[5124] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8810] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[4734] = {
		},
		[4742] = {
			4, -- [1]
			2, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[11543] = {
			4, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[149] = {
		},
		[10712] = {
			1, -- [1]
		},
		[9544] = {
			1, -- [1]
		},
		[4722] = {
		},
		[9576] = {
		},
		[6023] = {
			2, -- [1]
			1, -- [2]
		},
		[5236] = {
		},
		[6861] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[602] = {
		},
		[891] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[10692] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[8661] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[152] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[9720] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[9736] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[2440] = {
		},
		[10724] = {
			1, -- [1]
		},
		[8693] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8709] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8773] = {
			1, -- [1]
		},
		[154] = {
		},
		[8789] = {
			2, -- [1]
			1, -- [2]
		},
		[6981] = {
		},
		[9045] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1392] = {
		},
		[11156] = {
		},
		[9301] = {
		},
		[2871] = {
		},
		[7029] = {
			1, -- [1]
		},
		[8641] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[2500] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9557] = {
		},
		[7061] = {
		},
		[5022] = {
		},
		[9669] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[683] = {
		},
		[9781] = {
			1, -- [1]
		},
		[2967] = {
		},
		[10120] = {
		},
		[11024] = {
		},
		[159] = {
		},
		[10168] = {
			1, -- [1]
		},
		[10184] = {
		},
		[6004] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[160] = {
		},
		[2782] = {
		},
		[8201] = {
			1, -- [1]
		},
		[10197] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[10280] = {
		},
		[10229] = {
		},
		[5158] = {
		},
		[5166] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[162] = {
		},
		[8313] = {
		},
		[3095] = {
		},
		[10392] = {
			1, -- [1]
			2, -- [2]
		},
		[5206] = {
			1, -- [1]
		},
		[3099] = {
		},
		[5222] = {
			[2] = 1,
		},
		[5230] = {
		},
		[10472] = {
		},
		[3115] = {
		},
		[7301] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[5262] = {
		},
		[737] = {
		},
		[1582] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[8630] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8537] = {
			1, -- [1]
		},
		[10600] = {
			2, -- [1]
			1, -- [2]
		},
		[10741] = {
		},
		[8585] = {
			2, -- [1]
			1, -- [2]
		},
		[8710] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[4381] = {
			2, -- [1]
			1, -- [2]
		},
		[8633] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8774] = {
			1, -- [1]
		},
		[8665] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10728] = {
		},
		[8697] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[8806] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[10776] = {
			1, -- [1]
			[3] = 2,
		},
		[10792] = {
			1, -- [1]
			4, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[10808] = {
			1, -- [1]
		},
		[7461] = {
			2, -- [1]
			1, -- [2]
		},
		[10840] = {
			2, -- [1]
			1, -- [2]
		},
		[8809] = {
			1, -- [1]
			2, -- [2]
		},
		[7485] = {
			4, -- [1]
			3, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[6564] = {
		},
		[8857] = {
		},
		[5462] = {
		},
		[8889] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[8905] = {
			2, -- [1]
			1, -- [2]
		},
		[8921] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[172] = {
		},
		[2752] = {
			2, -- [1]
			1, -- [2]
		},
		[2756] = {
			2, -- [1]
			1, -- [2]
		},
		[2760] = {
		},
		[5526] = {
			[2] = 1,
		},
		[9017] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[2772] = {
			2, -- [1]
			1, -- [2]
		},
		[9049] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11093] = {
			1, -- [1]
		},
		[9081] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11144] = {
			[2] = 1,
		},
		[9113] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[8322] = {
		},
		[9238] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[11208] = {
		},
		[9177] = {
		},
		[3110] = {
		},
		[3122] = {
		},
		[4725] = {
		},
		[9241] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[6804] = {
			1, -- [1]
		},
		[4765] = {
		},
		[1712] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[1714] = {
		},
		[178] = {
		},
		[2848] = {
			2, -- [1]
			1, -- [2]
		},
		[2852] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[2856] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[2860] = {
		},
		[9401] = {
		},
		[7781] = {
		},
		[11041] = {
			1, -- [1]
			2, -- [2]
		},
		[2876] = {
		},
		[9042] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9154] = {
		},
		[1243] = {
		},
		[9513] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9052] = {
			2, -- [1]
			1, -- [2]
		},
		[842] = {
		},
		[10872] = {
			2, -- [1]
			1, -- [2]
		},
		[7861] = {
			2, -- [1]
			1, -- [2]
		},
		[3523] = {
		},
		[351] = {
		},
		[10009] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[5061] = {
		},
		[3482] = {
		},
		[2932] = {
		},
		[5141] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[9705] = {
		},
		[3566] = {
			2, -- [1]
			1, -- [2]
		},
		[2948] = {
			2, -- [1]
			1, -- [2]
		},
		[5902] = {
		},
		[5229] = {
			[2] = 1,
		},
		[3643] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[10518] = {
		},
		[164] = {
		},
		[2972] = {
		},
		[2976] = {
		},
		[9865] = {
			2, -- [1]
			1, -- [2]
		},
		[8535] = {
			1, -- [1]
		},
		[9897] = {
		},
		[1838] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1846] = {
			[2] = 1,
		},
		[9945] = {
			2, -- [1]
			1, -- [2]
		},
		[5341] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[8777] = {
			1, -- [1]
		},
		[6022] = {
			[2] = 1,
		},
		[6030] = {
		},
		[8663] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10726] = {
		},
		[1858] = {
			[3] = 1,
		},
		[5219] = {
			[2] = 1,
		},
		[10838] = {
			[2] = 1,
		},
		[3642] = {
			[2] = 1,
		},
		[118] = {
		},
		[10137] = {
			1, -- [1]
			2, -- [2]
		},
		[7604] = {
			1, -- [1]
		},
		[10169] = {
		},
		[10185] = {
			2, -- [1]
			1, -- [2]
		},
		[12] = {
			2, -- [1]
			1, -- [2]
		},
		[7636] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
			4, -- [5]
		},
		[8189] = {
			2, -- [1]
			1, -- [2]
		},
		[3084] = {
		},
		[3088] = {
		},
		[10313] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[3096] = {
		},
		[3100] = {
		},
		[8314] = {
		},
		[8330] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[10393] = {
		},
		[3116] = {
		},
		[3120] = {
		},
		[8867] = {
			1, -- [1]
			2, -- [2]
		},
		[8410] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[10473] = {
		},
		[10505] = {
		},
		[8474] = {
		},
		[10978] = {
		},
		[11026] = {
			1, -- [1]
		},
		[5861] = {
		},
		[10585] = {
			1, -- [1]
		},
		[198] = {
		},
		[7501] = {
		},
		[6342] = {
		},
		[8602] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[199] = {
		},
		[8634] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[1467] = {
		},
		[8666] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6390] = {
		},
		[8698] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6568] = {
		},
		[8940] = {
			2, -- [1]
			1, -- [2]
		},
		[8746] = {
			1, -- [1]
			2, -- [2]
		},
		[4383] = {
			2, -- [1]
			1, -- [2]
		},
		[10825] = {
		},
		[993] = {
		},
		[10857] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[10873] = {
		},
		[8188] = {
			2, -- [1]
			1, -- [2]
		},
		[8858] = {
		},
		[8190] = {
			2, -- [1]
			1, -- [2]
		},
		[7783] = {
		},
		[8906] = {
			2, -- [1]
			1, -- [2]
		},
		[8922] = {
		},
		[8938] = {
			2, -- [1]
			1, -- [2]
		},
		[8954] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[8970] = {
			[2] = 1,
		},
		[10183] = {
		},
		[9002] = {
			2, -- [1]
			1, -- [2]
		},
		[4511] = {
		},
		[11081] = {
		},
		[9050] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9066] = {
			2, -- [1]
			1, -- [2]
		},
		[9082] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9098] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9114] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9130] = {
		},
		[11193] = {
		},
		[9162] = {
		},
		[9178] = {
			1, -- [1]
		},
		[9194] = {
			1, -- [1]
		},
		[7502] = {
		},
		[6662] = {
		},
		[9242] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[131] = {
		},
		[11321] = {
		},
		[132] = {
		},
		[1074] = {
		},
		[9322] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[9338] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[3364] = {
		},
		[3368] = {
		},
		[1396] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[8628] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9418] = {
		},
		[9434] = {
		},
		[4727] = {
		},
		[11513] = {
			1, -- [1]
		},
		[4743] = {
			1, -- [1]
		},
		[135] = {
		},
		[9514] = {
		},
		[6365] = {
		},
		[6389] = {
		},
		[10855] = {
			1, -- [1]
		},
		[6501] = {
		},
		[9594] = {
			1, -- [1]
			2, -- [2]
		},
		[9000] = {
			2, -- [1]
			1, -- [2]
		},
		[9626] = {
		},
		[9048] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11404] = {
		},
		[11003] = {
		},
		[9069] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9706] = {
		},
		[8899] = {
		},
		[9738] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[8557] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[6124] = {
			1, -- [1]
		},
		[157] = {
		},
		[4903] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[10216] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[9834] = {
			1, -- [1]
		},
		[2604] = {
			2, -- [1]
			1, -- [2]
		},
		[10504] = {
		},
		[10831] = {
			[2] = 1,
		},
		[7509] = {
			[2] = 1,
		},
		[3504] = {
		},
		[8953] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[5518] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[220] = {
		},
		[9033] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[9994] = {
		},
		[3528] = {
			1, -- [1]
		},
		[11096] = {
		},
		[5023] = {
		},
		[9805] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[9097] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[5047] = {
		},
		[5582] = {
		},
		[5063] = {
			3, -- [1]
			1, -- [2]
			4, -- [3]
			2, -- [4]
		},
		[8460] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[223] = {
		},
		[3568] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[10727] = {
		},
		[14] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[1189] = {
		},
		[8508] = {
			[2] = 1,
		},
		[5127] = {
			2, -- [1]
			1, -- [2]
		},
		[11400] = {
		},
		[1423] = {
		},
		[5151] = {
			[2] = 1,
		},
		[8539] = {
			1, -- [1]
		},
		[5167] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[10346] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9030] = {
		},
		[5862] = {
		},
		[184] = {
		},
		[10410] = {
		},
		[3632] = {
		},
		[5223] = {
		},
		[10458] = {
			1, -- [1]
			2, -- [2]
		},
		[10474] = {
		},
		[5247] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[7302] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[8556] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[2609] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[8507] = {
			1, -- [1]
		},
		[5942] = {
		},
		[10586] = {
			1, -- [1]
			[3] = 2,
		},
		[230] = {
		},
		[9849] = {
			1, -- [1]
		},
		[8587] = {
		},
		[8603] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[231] = {
		},
		[5343] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[2980] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[8667] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[232] = {
		},
		[8699] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10762] = {
		},
		[8731] = {
			1, -- [1]
		},
		[233] = {
		},
		[10810] = {
		},
		[8779] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[9933] = {
		},
		[234] = {
		},
		[8572] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[3106] = {
		},
		[8859] = {
		},
		[5463] = {
		},
		[8891] = {
		},
		[8907] = {
			2, -- [1]
			1, -- [2]
		},
		[8923] = {
		},
		[8939] = {
			2, -- [1]
			1, -- [2]
		},
		[11002] = {
		},
		[5464] = {
		},
		[5519] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[9003] = {
			2, -- [1]
			1, -- [2]
		},
		[11066] = {
			1, -- [1]
		},
		[114] = {
		},
		[11098] = {
		},
		[238] = {
		},
		[11130] = {
		},
		[11146] = {
		},
		[9115] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11178] = {
		},
		[10297] = {
		},
		[3092] = {
		},
		[9179] = {
			1, -- [1]
		},
		[240] = {
		},
		[3104] = {
		},
		[3108] = {
		},
		[9243] = {
			3, -- [1]
			2, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[9259] = {
			2, -- [1]
			1, -- [2]
		},
		[8346] = {
		},
		[3128] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[5144] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[9323] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[8538] = {
			1, -- [1]
			2, -- [2]
			4, -- [3]
			3, -- [4]
		},
		[8586] = {
			2, -- [1]
			1, -- [2]
		},
		[64063] = {
			2, -- [1]
			1, -- [2]
		},
		[243] = {
		},
		[5727] = {
		},
		[10602] = {
			1, -- [1]
		},
		[6570] = {
		},
		[9451] = {
		},
		[11514] = {
			1, -- [1]
		},
		[3908] = {
		},
		[3912] = {
		},
		[10793] = {
		},
		[8762] = {
			1, -- [1]
			2, -- [2]
		},
		[3924] = {
			[3] = 1,
		},
		[8778] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[63866] = {
			1, -- [1]
		},
		[4463] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[11001] = {
			1, -- [1]
		},
		[9034] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[5847] = {
		},
		[11097] = {
		},
		[5863] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[11209] = {
			1, -- [1]
		},
		[7926] = {
		},
		[9723] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[6626] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[5903] = {
			[2] = 1,
		},
		[4728] = {
		},
		[210] = {
		},
		[9803] = {
			[2] = 1,
		},
		[4184] = {
		},
		[9835] = {
			2, -- [1]
			1, -- [2]
		},
		[7908] = {
		},
		[1429] = {
		},
		[120] = {
		},
		[251] = {
		},
		[10923] = {
			1, -- [1]
		},
		[3884] = {
		},
		[216] = {
			2, -- [1]
			1, -- [2]
		},
		[252] = {
		},
		[8700] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9995] = {
		},
		[6261] = {
		},
		[8632] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[3564] = {
		},
		[9020] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[2585] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[9292] = {
		},
		[7735] = {
		},
		[10123] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[3640] = {
			[2] = 1,
		},
		[255] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[8765] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[8166] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[9996] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[265] = {
		},
		[1025] = {
			4, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[6343] = {
		},
		[1029] = {
		},
		[10938] = {
		},
		[8955] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[9019] = {
			1, -- [1]
			2, -- [2]
			3, -- [3]
		},
		[9083] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10347] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9099] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[10651] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[1045] = {
			1, -- [1]
			2, -- [2]
		},
		[10411] = {
			2, -- [1]
			1, -- [2]
		},
		[11242] = {
		},
		[263] = {
			2, -- [1]
			1, -- [2]
		},
		[1053] = {
			4, -- [1]
			3, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[10475] = {
		},
		[1057] = {
			1, -- [1]
			4, -- [2]
			3, -- [3]
			2, -- [4]
		},
		[10507] = {
			1, -- [1]
		},
		[8476] = {
			2, -- [1]
			1, -- [2]
		},
		[266] = {
		},
		[1065] = {
		},
		[4264] = {
		},
		[8540] = {
			1, -- [1]
		},
		[10603] = {
			1, -- [1]
			[3] = 2,
		},
		[10619] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[269] = {
		},
		[1077] = {
		},
		[1079] = {
			1, -- [1]
		},
		[2161] = {
		},
		[7639] = {
		},
		[8668] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[272] = {
			[2] = 1,
		},
		[1089] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[10763] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[8732] = {
			[2] = 1,
		},
		[274] = {
		},
		[4384] = {
			2, -- [1]
			1, -- [2]
		},
		[8780] = {
			2, -- [1]
			1, -- [2]
		},
		[2201] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[10859] = {
			1, -- [1]
		},
		[9467] = {
			1, -- [1]
		},
		[1245] = {
		},
		[8860] = {
		},
		[1111] = {
		},
		[10939] = {
		},
		[8908] = {
			2, -- [1]
			1, -- [2]
		},
		[1117] = {
		},
		[280] = {
		},
		[8956] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[323] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[4496] = {
			2, -- [1]
			1, -- [2]
		},
		[282] = {
		},
		[4512] = {
			[2] = 1,
			[3] = 2,
		},
		[9036] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[11099] = {
		},
		[9068] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9084] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9100] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[9116] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[286] = {
		},
		[1145] = {
		},
		[1147] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[9180] = {
		},
		[9196] = {
			1, -- [1]
		},
		[8924] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[8941] = {
			2, -- [1]
			1, -- [2]
		},
		[9244] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[5231] = {
			[2] = 1,
		},
		[9276] = {
			2, -- [1]
			1, -- [2]
		},
		[291] = {
		},
		[248] = {
		},
		[9324] = {
		},
		[7503] = {
		},
		[293] = {
		},
		[11419] = {
		},
		[9388] = {
			2, -- [1]
			1, -- [2]
			4, -- [3]
			3, -- [4]
		},
		[11451] = {
		},
		[1179] = {
		},
		[3112] = {
		},
		[1183] = {
		},
		[9468] = {
		},
		[11531] = {
		},
		[11547] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9516] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[1193] = {
			2, -- [1]
			1, -- [2]
		},
		[10633] = {
		},
		[1197] = {
			[2] = 1,
		},
		[9195] = {
			1, -- [1]
		},
		[10029] = {
		},
		[4808] = {
		},
		[4784] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[9101] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[9389] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[303] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
			4, -- [4]
		},
		[9692] = {
			1, -- [1]
			nil, -- [2]
			2, -- [3]
			3, -- [4]
			4, -- [5]
		},
		[10395] = {
		},
		[4864] = {
			2, -- [1]
			1, -- [2]
		},
		[1219] = {
		},
		[1221] = {
			1, -- [1]
		},
		[306] = {
		},
		[10523] = {
		},
		[1067] = {
		},
		[268] = {
		},
		[9836] = {
		},
		[8620] = {
			[9] = 1,
		},
		[1087] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[1091] = {
		},
		[1239] = {
		},
		[1241] = {
		},
		[311] = {
		},
		[4976] = {
		},
		[8764] = {
			2, -- [1]
			3, -- [2]
			4, -- [3]
			1, -- [4]
		},
		[9980] = {
			2, -- [1]
			1, -- [2]
		},
		[1251] = {
		},
		[1253] = {
		},
		[7063] = {
		},
		[1103] = {
		},
		[10060] = {
			2, -- [1]
			4, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[8424] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[5048] = {
		},
		[5056] = {
			1, -- [1]
		},
		[1119] = {
		},
		[1269] = {
		},
		[2241] = {
		},
		[8989] = {
			1, -- [1]
			[3] = 2,
		},
		[5096] = {
		},
		[10204] = {
		},
		[10220] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[2561] = {
		},
		[5128] = {
		},
		[10268] = {
		},
		[322] = {
		},
		[6543] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[5160] = {
		},
		[8285] = {
		},
		[8301] = {
			1, -- [1]
		},
		[11051] = {
			1, -- [1]
		},
		[10380] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9148] = {
		},
		[9164] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[5216] = {
			[2] = 1,
		},
		[12491] = {
		},
		[5232] = {
		},
		[328] = {
		},
		[10492] = {
			2, -- [1]
			1, -- [2]
		},
		[329] = {
		},
		[10524] = {
			nil, -- [1]
			2, -- [2]
			1, -- [3]
			3, -- [4]
		},
		[1319] = {
		},
		[1321] = {
		},
		[11403] = {
		},
		[8541] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[332] = {
		},
		[8573] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
			4, -- [4]
		},
		[2661] = {
		},
		[1175] = {
			1, -- [1]
			3, -- [2]
			2, -- [3]
		},
		[334] = {
		},
		[8637] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[11515] = {
			1, -- [1]
		},
		[8669] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[336] = {
		},
		[8701] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[337] = {
		},
		[298] = {
		},
		[9564] = {
		},
		[10812] = {
		},
		[8781] = {
			1, -- [1]
		},
		[301] = {
		},
		[1359] = {
		},
		[8829] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[7495] = {
		},
		[8861] = {
		},
		[1367] = {
		},
		[10940] = {
		},
		[8909] = {
			2, -- [1]
			1, -- [2]
		},
		[1469] = {
		},
		[10988] = {
			1, -- [1]
		},
		[2753] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[2757] = {
		},
		[11036] = {
		},
		[346] = {
		},
		[9021] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[2773] = {
			2, -- [1]
			1, -- [2]
		},
		[11100] = {
		},
		[1391] = {
		},
		[9037] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[1395] = {
		},
		[7631] = {
			1, -- [1]
		},
		[9133] = {
		},
		[7647] = {
			2, -- [1]
			1, -- [2]
		},
		[9165] = {
			1, -- [1]
		},
		[9181] = {
			1, -- [1]
		},
		[9197] = {
			1, -- [1]
		},
		[9117] = {
			3, -- [1]
			4, -- [2]
			1, -- [3]
			2, -- [4]
		},
		[353] = {
		},
		[9245] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[354] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[319] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[310] = {
		},
		[9948] = {
			1, -- [1]
		},
		[2845] = {
		},
		[2849] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[2853] = {
		},
		[2857] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[358] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[9405] = {
		},
		[1435] = {
			1, -- [1]
		},
		[10012] = {
		},
		[9453] = {
		},
		[11516] = {
		},
		[11532] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[9501] = {
		},
		[10140] = {
		},
		[10188] = {
			1, -- [1]
		},
		[9549] = {
			2, -- [1]
			1, -- [2]
		},
		[320] = {
		},
		[10252] = {
			nil, -- [1]
			1, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[1457] = {
		},
		[5248] = {
		},
		[8621] = {
			3, -- [1]
			4, -- [2]
			2, -- [3]
			1, -- [4]
		},
		[366] = {
		},
		[1465] = {
		},
		[2933] = {
		},
		[23] = {
		},
		[7927] = {
		},
		[2945] = {
		},
		[2949] = {
		},
		[5904] = {
		},
		[9773] = {
			1, -- [1]
		},
		[5384] = {
			1, -- [1]
		},
		[371] = {
			2, -- [1]
			1, -- [2]
		},
		[2969] = {
		},
		[1487] = {
			1, -- [1]
			4, -- [2]
			2, -- [3]
			3, -- [4]
		},
		[2977] = {
		},
		[373] = {
		},
		[10924] = {
			1, -- [1]
		},
		[8957] = {
			2, -- [1]
			3, -- [2]
			1, -- [3]
		},
		[1425] = {
		},
		[375] = {
			2, -- [1]
			1, -- [2]
		},
		[9949] = {
			3, -- [1]
			1, -- [2]
			2, -- [3]
		},
		[376] = {
			2, -- [1]
			1, -- [2]
		},
		[9981] = {
			2, -- [1]
			1, -- [2]
		},
		[9997] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
		},
		[10013] = {
		},
		[1511] = {
		},
		[10045] = {
			2, -- [1]
			1, -- [2]
			3, -- [3]
			4, -- [4]
		},
		[1515] = {
		},
		[9373] = {
		},
		[5728] = {
			2, -- [1]
			1, -- [2]
		},
		[1521] = {
		},
		[361] = {
		},
		[370] = {
			3, -- [1]
			2, -- [2]
			1, -- [3]
		},
		[1527] = {
		},
		[9821] = {
			1, -- [1]
		},
		[372] = {
			2, -- [1]
			1, -- [2]
		},
	}
